> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates an existing contact detail with the provided information.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json put /contact-details/{id}
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /contact-details/{id}:
    put:
      tags:
        - ContactDetail
      summary: Updates an existing contact detail with the provided information.
      parameters:
        - name: id
          in: path
          description: The unique identifier of the contact detail to update.
          required: true
          schema:
            type: integer
            format: int32
      requestBody:
        description: The updated contact detail data.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateContactDetailRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/UpdateContactDetailRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpdateContactDetailRequest'
      responses:
        '200':
          description: OK
        '204':
          description: Contact detail updated successfully.
        '400':
          description: Error occurred while updating the contact detail.
        '404':
          description: Contact detail not found.
components:
  schemas:
    UpdateContactDetailRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        contactNumber:
          type: string
          nullable: true
        contactEmail:
          type: string
          nullable: true
        contactBetweenStart:
          type: string
          format: date-span
        contactBetweenEnd:
          type: string
          format: date-span
        priority:
          type: integer
          format: int32
        isActive:
          type: boolean
      additionalProperties: false

````